local function ShowPartyFrame()
	Healium_ShowHidePartyFrame(true)
end

local function ShowMeFrame()
	Healium_ShowHideMeFrame(true)
end

local function ShowPetsFrame()
	Healium_ShowHidePetsFrame(true)
end

local function ShowTanksFrame()
	Healium_ShowHideTanksFrame(true)
end

local function HealiumMenu_InitializeDropDown(self,level)

	local MenuTable = 
	{
		[1] = -- Define level one elements here
		{
			{ -- Title
				text = Healium_AddonColor .. Healium_AddonName .. "|r Menu",
				isTitle = 1,
				notCheckable = 1,
			},
			{ -- Config Panel
				text = Healium_AddonName .. " Config Panel",
				func = Healium_ShowConfigPanel,
				notCheckable = 1,
			},
			{ -- Frames Submenu
				text = "Show / Hide Frames",
				hasArrow = 1,
				value = "Frames",
				notCheckable = 1,
			},
			{ -- Close
				hasArrow  = nil,
				value  = nil,
				notCheckable = 1,
				text = CLOSE,
				func = self.HideMenu			
			}
		},
		[2] = -- Submenu items, keyed by value
		{
			["Frames"] = 
			{
				{
					text = "Toggle Frames",
					notCheckable = 1,
					func = Healium_ToggleAllFrames,
				},
				{	-- Party Frame
					text = "Show Party",
					notCheckable = 1,
					func = ShowPartyFrame,
				},
				{	-- Me Frame
					text = "Show Me",
					notCheckable = 1,
					func = ShowMeFrame,
				},
				{	-- Pet Frame
					text = "Show Pets",
					notCheckable = 1,					
					func = ShowPetsFrame,
				},
				{	-- Tanks Frame
					text = "Show Tanks",
					notCheckable = 1,					
					func = ShowTanksFrame,
				},
				{
					text = "Hide All Raid Groups",
					notCheckable = 1,					
					func = Healium_HideAllRaidFrames,
				},
				{
					text = "Show Raid Groups 1 and 2 (10 man)",
					notCheckable = 1,					
					func = Healium_Show10ManRaidFrames,
				},
				{
					text = "Show Raid Groups 1-5 (25 man)",
					notCheckable = 1,					
					func = Healium_Show25ManRaidFrames,
				}, 
				{
					text = "Show Raid Groups 1-8 (40 man)",
					notCheckable = 1,					
					func = Healium_Show40ManRaidFrames,
				}, 
			},
		},
	}

	level = level or 1
	
	local info = MenuTable[level]
	local menuval = UIDROPDOWNMENU_MENU_VALUE
	
	if (level > 1 and menuval) then
		if info[menuval] then
			info = info[menuval]
		end
	end

	for idx, entry in ipairs(info) do
		UIDropDownMenu_AddButton(entry, level)
	end

end

function Healium_InitMenu()
	HealiumMenu = CreateFrame("Frame", "HealiumOptionsMenu", Healium_MMButton, "UIDropDownMenuTemplate") 
	HealiumMenu:SetPoint("TOP", Healium_MMButton, "BOTTOM")
	UIDropDownMenu_Initialize(HealiumMenu, HealiumMenu_InitializeDropDown, "MENU");

	HealiumMenu.HideMenu = function()
		if UIDROPDOWNMENU_OPEN_MENU == HealiumMenu then
			CloseDropDownMenus()
		end
	end
end